import { ICodeResource } from '@cloudbase/cals';
export declare function generateStyleModule(modules?: ICodeResource[], cssContextWrapper?: string, optsions?: {
    processCssUnit?: any;
}): Promise<{
    code: string;
    type: "CODE";
    description?: string;
    path?: string;
    codeType?: string;
    name: string;
}[]>;
export declare function generateStyleModuleMap(moduleMap: {
    [key: string]: {
        resources: ICodeResource[];
        cssContextWrapper?: string;
        processCssUnit?: any;
    };
}): Promise<{
    [key: string]: ICodeResource & {
        code: string;
    };
}>;
