var _a;
import { AlginMode, LoginMethodType, Platform } from './types';
export var WECOM_ACCESS_PATH = 'weda.cloud.tencent.com/weda-auth-page/';
export var WECOM_CALLBACK_PATH = 'callback.weda.tencent-cloud.com';
export var FAVICON_URL = 'https://cloudcache.tencentcs.com/qcloud/app/resource/ac/favicon.ico';
export var SMS_METHOD = {
    id: "__".concat(LoginMethodType.SMS),
    label: '短信验证码',
    type: LoginMethodType.SMS,
};
export var PASSWORD_METHOD = {
    id: "__".concat(LoginMethodType.PASSWORD),
    label: '账户密码登录',
    type: LoginMethodType.PASSWORD,
};
export var PORTAL_WECOM_METHOD = {
    id: "__".concat(LoginMethodType.PORTAL_WECOM),
    label: '企微登录',
    type: LoginMethodType.AUTH,
    icon: 'https://sso-1303824488.cos.ap-shanghai.myqcloud.com/wecom.svg',
};
export var APIS_CONFIG = (_a = {
        title: '微搭内容管理平台',
        favicon: FAVICON_URL,
        name: '腾讯云微搭低代码管理系统',
        logo: 'https://sso-1303824488.cos.ap-shanghai.myqcloud.com/logo.svg',
        alginMode: AlginMode.RIGHT,
        backgroundColor: '#fff',
        backgroundImage: 'https://sso-1303824488.cos.ap-shanghai.myqcloud.com/background-image.png'
    },
    _a[Platform.WEB] = [PASSWORD_METHOD],
    _a);
