import { kebabCase } from './common';
export function toCssText(style, className) {
    if (className === void 0) { className = '.some-class-name'; }
    var attrText = Object.keys(style)
        .map(function (key) {
        var value = style[key];
        return "".concat(kebabCase(key), ": ").concat(value, ";");
    })
        .join('\n');
    return "".concat(className, " { ").concat(attrText, " }\n");
}
