import { IWebAppAPI } from '@cloudbase/weda-client';
interface IBaseState {
    state: {
        [key: string]: any;
    };
    computed: {
        [key: string]: any;
    };
    dataset?: {
        state?: {};
    };
}
export declare const subPackageName = "";
export declare let app: IAppAPI;
export declare const $w: any;
export declare function registerApp(_app?: IAppAPI): void;
export interface IAppAPI extends IWebAppAPI, IBaseState {
    domain: string;
    app?: IAppAPI;
    $app?: IAppAPI;
    mainApp?: IAppAPI;
    common: {};
    enumOptions?: {};
    /**
     * 内置方法
     */
    setState: (state: any) => void;
    invoke: (params: any) => void;
    utils: IWebAppAPI['utils'] & {
        formatEnum: (path: any, optionname: any, app: any) => string;
    };
}
export declare function removeGlboalApi(): void;
export interface IPageAPI extends IBaseState {
    __internal__?: {
        $w?: any;
    };
    $page?: IPageAPI;
    id?: string;
    handler: {
        [key: string]: any;
    };
    props: {
        [key: string]: any;
    };
    widgets: {
        [key: string]: any;
    };
    setState: (state: any) => void;
    _dataBinds: {
        [key: string]: any;
    };
}
export declare function createPageApi(): IPageAPI;
export {};
