import * as React from 'react';
export declare function useScrollTop(): any;
/**
 * 用于处理自定义组件props传参结构，对系统变量进行保留
 * 曾用名：resolveComponentProps()
 */
export declare function useComponentProps(props: IFieldProps, isPlainProps: any): any;
export interface IFieldProps extends React.PropsWithRef<any> {
    id: string;
    data: any;
    emit: (trigger: any, eventData: any, originalEvent?: any) => void;
    events: string[];
    /**
     * current widget
     */
    $node: any;
    /**
     * user widgtet
     */
    $widget: any;
    staticResourceAttribute: string[];
    domRef: React.RefObject<any>;
    compositeParent: any;
    forIndexes: number[];
}
export declare const OwnerComponentContext: React.Context<{
    attached: boolean;
}>;
