"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIS_CONFIG = exports.PORTAL_WECOM_METHOD = exports.PASSWORD_METHOD = exports.SMS_METHOD = exports.FAVICON_URL = exports.WECOM_CALLBACK_PATH = exports.WECOM_ACCESS_PATH = void 0;
var types_1 = require("./types");
exports.WECOM_ACCESS_PATH = 'weda.cloud.tencent.com/weda-auth-page/';
exports.WECOM_CALLBACK_PATH = 'callback.weda.tencent-cloud.com';
exports.FAVICON_URL = 'https://cloudcache.tencentcs.com/qcloud/app/resource/ac/favicon.ico';
exports.SMS_METHOD = {
    id: "__".concat(types_1.LoginMethodType.SMS),
    label: '短信验证码',
    type: types_1.LoginMethodType.SMS,
};
exports.PASSWORD_METHOD = {
    id: "__".concat(types_1.LoginMethodType.PASSWORD),
    label: '账户密码登录',
    type: types_1.LoginMethodType.PASSWORD,
};
exports.PORTAL_WECOM_METHOD = {
    id: "__".concat(types_1.LoginMethodType.PORTAL_WECOM),
    label: '企微登录',
    type: types_1.LoginMethodType.AUTH,
    icon: 'https://sso-1303824488.cos.ap-shanghai.myqcloud.com/wecom.svg',
};
exports.APIS_CONFIG = (_a = {
        title: '微搭内容管理平台',
        favicon: exports.FAVICON_URL,
        name: '腾讯云微搭低代码管理系统',
        logo: 'https://sso-1303824488.cos.ap-shanghai.myqcloud.com/logo.svg',
        alginMode: types_1.AlginMode.RIGHT,
        backgroundColor: '#fff',
        backgroundImage: 'https://sso-1303824488.cos.ap-shanghai.myqcloud.com/background-image.png'
    },
    _a[types_1.Platform.WEB] = [exports.PASSWORD_METHOD],
    _a);
//# sourceMappingURL=constants.js.map