"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginErrorCode = exports.LoginMethodType = exports.AlginMode = exports.LoginSource = exports.StorageMode = exports.Platform = void 0;
var Platform;
(function (Platform) {
    Platform["WEB"] = "web";
    Platform["MINIPROGRAM"] = "miniprogram";
})(Platform = exports.Platform || (exports.Platform = {}));
// 登录页来源
var StorageMode;
(function (StorageMode) {
    StorageMode["SESSION"] = "session";
})(StorageMode = exports.StorageMode || (exports.StorageMode = {}));
// 登录页来源
var LoginSource;
(function (LoginSource) {
    LoginSource["PORTAL"] = "portal";
    LoginSource["APIS"] = "apis";
    LoginSource["APP"] = "app";
})(LoginSource = exports.LoginSource || (exports.LoginSource = {}));
var AlginMode;
(function (AlginMode) {
    AlginMode["LEFT"] = "left";
    AlginMode["CENTER"] = "center";
    AlginMode["RIGHT"] = "right";
})(AlginMode = exports.AlginMode || (exports.AlginMode = {}));
// 登录源类型
var LoginMethodType;
(function (LoginMethodType) {
    LoginMethodType["PASSWORD"] = "password";
    LoginMethodType["SMS"] = "sms";
    LoginMethodType["AUTH"] = "auth";
    LoginMethodType["MINIPROGRAM_PHONE"] = "miniprogram_phone";
    LoginMethodType["PORTAL_WECOM"] = "portal_wecom";
})(LoginMethodType = exports.LoginMethodType || (exports.LoginMethodType = {}));
var LoginErrorCode;
(function (LoginErrorCode) {
    LoginErrorCode["NOT_SUPPORT_LOCAL_STORAGE"] = "not_support_local_storage";
    LoginErrorCode["ACCESS_CODE_LOGIN_FAIL"] = "access_code_login_fail";
})(LoginErrorCode = exports.LoginErrorCode || (exports.LoginErrorCode = {}));
//# sourceMappingURL=types.js.map