import React from 'react';
import 'tea-component/dist/tea.css';
import { PageLayout } from '../web/components/PageLayout';
import { ModelTable } from '../web/components/Table';
import { testFields } from '../web/components/fields';
/**
 * 本地快速开发组件使用
 */
function App() {
    return (React.createElement("div", { style: { height: '100%' } },
        React.createElement(PageLayout, { title: "\u6807\u9898", operation: "", contentSlot: React.createElement(ModelTable
            // @ts-expect-error jsx
            , { 
                // @ts-expect-error jsx
                bindMetadata: {
                    datasource: { name: 'test' },
                    enabledFieldNames: testFields,
                } }) })));
}
export default App;
