import React from 'react';
import { getLineHeight } from './utils';
import './index.less';
export function Title(props) {
    const { className, moduleTitle, moduleTitleColor, moduleTitleFontSize, moduleTitleFontWeight, moduleTitleLineHeight, moduleTitleVisible, } = props;
    if (moduleTitleVisible) {
        const style = {
            color: moduleTitleColor,
            fontSize: moduleTitleFontSize,
            fontWeight: moduleTitleFontWeight,
            lineHeight: getLineHeight(moduleTitleLineHeight),
        };
        return (React.createElement("div", { className: `model-flow-module-title ${className}`, style: style }, moduleTitle));
    }
    return null;
}
