import React from 'react';
import { WedaUserTransfer } from '../WedaUserTransfer';
import { FlowUserSelect } from '../FlowUserSelect';
import { UserSelect } from './UserSelect';
import { UserSelectMobile } from './UserSelectMobile';
const useOld = false;
export function UserSelectModel(props) {
    if (props.mobileModel) {
        if (useOld) {
            return React.createElement(FlowUserSelect, { ...props });
        }
        return React.createElement(UserSelectMobile, { ...props });
    }
    if (useOld) {
        return React.createElement(WedaUserTransfer, { ...props, setOptions: props === null || props === void 0 ? void 0 : props.onChange });
    }
    return React.createElement(UserSelect, { ...props });
}
