export const STATUS_NUMBER_MAPPING = {
    1: 'START',
    2: 'PASS',
    3: 'DOWN',
    4: 'TURN',
    5: 'REVOKE',
    6: 'TRANS',
    7: 'COUNTERSIGN',
    8: 'STOP',
    9: 'SKIP_PASS',
    10: 'SKIP_DOWN',
    11: 'PENDING',
    12: 'END',
    13: 'HANDLED',
    14: 'HANDLING',
    15: 'CC',
    16: 'DROP', // 作废
};
export const STATUS = {
    START: 'start',
    PASS: 'pass',
    DOWN: 'down',
    TURN: 'trun',
    REVOKE: 'revoke',
    TRANS: 'trans',
    COUNTERSIGN: 'countersign',
    STOP: 'stop',
    SKIP_PASS: 'skip_pass',
    SKIP_DOWN: 'skip_down',
    PENDING: 'pending',
    END: 'end',
    HANDLED: 'handled',
    HANDLING: 'handling',
    CC: 'cc',
    DROP: 'DROP', // 作废
};
export const STATUS_TEXT = {
    pass: { theme: 'success', text: '审批通过' },
    trun: { theme: 'primary', text: '已转办' },
    down: { theme: 'error', text: '驳回' },
    pending: { theme: 'warning', text: '待审批' },
    trans: { theme: 'default', text: '回退' },
    revoke: { theme: 'default', text: '撤销' },
    skip_pass: { theme: 'success', text: '跳过(同意)' },
    skip_down: { theme: 'error', text: '跳过(驳回)' },
    end: { theme: 'error', text: '结束' },
    countersign: { theme: 'default', text: '加签' },
    stop: { theme: 'error', text: '终止' },
    handled: { theme: 'success', text: '已处理' },
    handling: { theme: 'warning', text: '待处理' },
};
export const PAGE_TYPE = {
    /** 待我处理 */
    TO_DO: 'TODO',
    /** 我创建的 */
    CREATE: 'CREATE',
    /** 我已处理 */
    DONE: 'DONE',
    /** 抄送我的 */
    COPY: 'CC',
    /** 草稿箱 */
    DRAFT: 'DRAFT',
    /** 新建流程 */
    CREATEFLOW: 'CREATEFLOW',
};
