import { IFlowLocalProps } from './types';
export declare class CommonFlowDataUtils {
    /** 转换流程接口中的变量数据 */
    static translateObjectMap(pageDetail: any): any;
    /** 获取流程自定义页面表单状态 */
    static getFormState(params: IFlowLocalProps): {
        isReadonly: boolean;
    };
    /** 转换流程记录数据 */
    static transProcessData: (process: any, safeJsonParse: IFlowLocalProps['safeJsonParse']) => any;
    /** 获取当前流程页面参数 */
    static getCurrentFlowPageQuery(isWedaIde: boolean): {
        flowTaskId: string;
        currentPageType: string;
    };
}
