import React from 'react';
import { Basic } from './Basic';
import { BasicMobile } from './BasicMobile';
import { createModuleFrame } from '../../frame';
const ModelFlowBasic = (props) => {
    const { flowLocalProps } = props;
    const { isH5, isNarrowElement } = flowLocalProps;
    if (isH5 || isNarrowElement) {
        return React.createElement(BasicMobile, { ...props });
    }
    return React.createElement(Basic, { ...props });
};
export default createModuleFrame(ModelFlowBasic, 'flow-basic');
