import React from 'react';
import { FlowControl } from './Control';
import { FlowControlMobile } from './ControlMobile';
import { ControlProvider } from './provider';
import { createModuleFrame } from '../../frame';
const ModelFlowControl = (props) => {
    const renderContent = () => {
        if (props.flowLocalProps.isH5) {
            return React.createElement(FlowControlMobile, { ...props });
        }
        return React.createElement(FlowControl, { ...props });
    };
    return React.createElement(ControlProvider, { ...props }, renderContent());
};
export default createModuleFrame(ModelFlowControl, 'flow-control');
