/// <reference types="react" />
import { useControlModel } from './useControlModel';
import { useRevokeAndBackHook } from './useRevokeAndBackHook';
import { useMobileModel } from './useMobileModel';
import { IFlowFrameCommonProps } from '../../../frame';
declare type ControlProviderProps = ReturnType<typeof useControlModel> & ReturnType<typeof useRevokeAndBackHook> & ReturnType<typeof useMobileModel>;
export declare const ControlProvider: (props: IFlowFrameCommonProps) => JSX.Element;
export declare const useControlContext: () => ControlProviderProps;
export {};
