import React from 'react';
import { createModuleFrame } from '../../frame';
import ApproveProcess from './Process';
import ApproveProcessMobile from './ProcessMobile';
import './index.less';
const ModelFlowProcess = (props) => {
    const { flowLocalProps } = props;
    const { isH5, isNarrowElement } = flowLocalProps;
    if (isH5 || isNarrowElement) {
        return React.createElement(ApproveProcessMobile, { ...props });
    }
    return React.createElement(ApproveProcess, { ...props });
};
export default createModuleFrame(ModelFlowProcess, 'flow-process');
