export namespace processMockData {
    const ElementInfos: ({
        Id: string;
        Name: string;
        OperaName: string[];
        Result: string;
        ContentInfo: {
            Action: number;
            AttachmentInfo: string;
            OperationComment: string;
            CreateTime: number;
            OpinionUserMap: {};
            HighlightPositionList: string;
        };
        ApprovalStrategy?: undefined;
    } | {
        Name: string;
        OperaName: string[];
        Result: string;
        ApprovalStrategy: string;
        ContentInfo: {
            CreateTime: number;
            Action?: undefined;
            AttachmentInfo?: undefined;
            OperationComment?: undefined;
            OpinionUserMap?: undefined;
            HighlightPositionList?: undefined;
        };
        Id?: undefined;
    })[];
}
