export const testFields: ({
    name: string;
    type: string;
    title: string;
    format: string;
    pattern: string;
    minLength: number;
    'x-required': boolean;
    description: string;
    minimum?: undefined;
    items?: undefined;
    'x-enumObj'?: undefined;
    'x-parent'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    type: string;
    title: string;
    format: string;
    minimum: number;
    'x-required': boolean;
    description: string;
    pattern?: undefined;
    minLength?: undefined;
    items?: undefined;
    'x-enumObj'?: undefined;
    'x-parent'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    type: string;
    title: string;
    'x-required': boolean;
    description: string;
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    items?: undefined;
    'x-enumObj'?: undefined;
    'x-parent'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    type: string;
    title: string;
    format: string;
    'x-required': boolean;
    description: string;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    items?: undefined;
    'x-enumObj'?: undefined;
    'x-parent'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    type: string;
    items: {
        type: string;
        'x-parent'?: undefined;
    };
    title: string;
    'x-required': boolean;
    description: string;
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    'x-enumObj'?: undefined;
    'x-parent'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    type: string;
    items: {
        type: string;
        'x-parent'?: undefined;
    };
    title: string;
    'x-enumObj': {
        label: string;
        value: number;
        description: string;
    }[];
    'x-required': boolean;
    description: string;
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    'x-parent'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    type: string;
    title: string;
    'x-parent': {
        type: string;
        parentDsId: string;
        fatherAction: string;
        parentViewId: string;
    };
    'x-unique': boolean;
    'x-required': boolean;
    description: string;
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    items?: undefined;
    'x-enumObj'?: undefined;
} | {
    name: string;
    type: string;
    items: {
        type: string;
        'x-parent': {
            type: string;
            parentDsId: string;
            fatherAction: string;
            parentViewId: string;
        };
    };
    title: string;
    'x-required': boolean;
    description: string;
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    'x-enumObj'?: undefined;
    'x-parent'?: undefined;
    'x-unique'?: undefined;
})[];
export const testData: ({
    _id: string;
    str: string;
    num: number;
    bl: boolean;
    time: number;
    date: number;
    arr: number[];
    enum: number;
    rel: string;
    rels: string[];
} | {
    _id: string;
    str: string;
    num: number;
    bl: boolean;
    time: number;
    date: number;
    arr: number[];
    enum: number;
    rel: string;
    rels?: undefined;
})[];
export const testFields2: ({
    name: string;
    title: string;
    type: string;
    description: string;
    format: string;
    pattern: string;
    minLength: number;
    'x-required': boolean;
    minimum?: undefined;
    items?: undefined;
    'x-parent'?: undefined;
    'x-enumObj'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    title: string;
    type: string;
    description: string;
    format: string;
    pattern: string;
    minimum: number;
    'x-required': boolean;
    minLength?: undefined;
    items?: undefined;
    'x-parent'?: undefined;
    'x-enumObj'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    title: string;
    type: string;
    description: string;
    format: string;
    pattern: string;
    'x-required': boolean;
    minLength?: undefined;
    minimum?: undefined;
    items?: undefined;
    'x-parent'?: undefined;
    'x-enumObj'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    title: string;
    type: string;
    description: string;
    format: string;
    pattern: string;
    'x-required': boolean;
    items: {
        type: string;
    };
    minLength?: undefined;
    minimum?: undefined;
    'x-parent'?: undefined;
    'x-enumObj'?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    title: string;
    type: string;
    description: string;
    items: {
        type: string;
    };
    'x-required': boolean;
    'x-parent': string;
    'x-enumObj': {
        value: number;
        label: string;
        description: string;
    }[];
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    'x-unique'?: undefined;
} | {
    name: string;
    title: string;
    type: string;
    description: string;
    'x-unique': boolean;
    'x-required': boolean;
    'x-parent': {};
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    items?: undefined;
    'x-enumObj'?: undefined;
} | {
    name: string;
    title: string;
    type: string;
    description: string;
    items: {
        type: string;
    };
    'x-required': boolean;
    'x-parent': {};
    format?: undefined;
    pattern?: undefined;
    minLength?: undefined;
    minimum?: undefined;
    'x-enumObj'?: undefined;
    'x-unique'?: undefined;
})[];
