export const APPROVAL_COMMENTS: "审批意见";
export const START_EVENT_TEXT: "发起";
export const END_EVENT_TEXT: "流程结束";
export const REJECT_TO: "至";
export namespace REVOKE_TEXT_MAP {
    const REVOKED: string;
    const FLOW: string;
}
export namespace STEP_STATUS_STYLE_MAP {
    const approving: string;
    const approved: string;
    const rejected: string;
    const termination: string;
    const turnSign: string;
    const backwardSign: string;
    const forwardSign: string;
}
export namespace APPROVER_NODE_STATUS_STYLE_MAP {
    const rejected_1: string;
    export { rejected_1 as rejected };
}
export namespace APPROVER_NODE_STATUS_TEXT_MAP {
    const approving_1: string;
    export { approving_1 as approving };
    const approved_1: string;
    export { approved_1 as approved };
    const rejected_2: string;
    export { rejected_2 as rejected };
    const termination_1: string;
    export { termination_1 as termination };
    const turnSign_1: string;
    export { turnSign_1 as turnSign };
    const backwardSign_1: string;
    export { backwardSign_1 as backwardSign };
    const forwardSign_1: string;
    export { forwardSign_1 as forwardSign };
}
export namespace FIELD_UPDATE_TEXT_MAP {
    const FROM: string;
    const TO: string;
    const FAILED: string;
}
export namespace APPROVAL_TYPE {
    const APPROVE_SINGLE: string;
    const APPROVE_MULTI: string;
}
export namespace APPROVAL_TYPE_TEXT_MAP {
    const APPROVE_SINGLE_1: string;
    export { APPROVE_SINGLE_1 as APPROVE_SINGLE };
    const APPROVE_MULTI_1: string;
    export { APPROVE_MULTI_1 as APPROVE_MULTI };
}
export namespace ELEMENT_TYPE_MAP {
    const START_EVENT: string;
    const END_EVENT: string;
    const APPROVAL_EVENT: string;
    const REVOKE_EVENT: string;
}
export namespace ELEMENT_TYPE_MAP_FOR_COMPONENT {
    const START_EVENT_1: string;
    export { START_EVENT_1 as START_EVENT };
    const END_EVENT_1: string;
    export { END_EVENT_1 as END_EVENT };
}
export namespace APPROVAL_STATUS_MAP {
    export const APPROVED: string;
    export const REJECTED: string;
    export const APPROVING: string;
    export const TERMINATION: string;
    export const TURN_SIGN: string;
    export const BACKWARD_SIGN: string;
    export const FORWARD_SIGN: string;
    const REVOKED_1: string;
    export { REVOKED_1 as REVOKED };
}
export namespace COMMENT_TYPE_MAP {
    export const APPROVE: string;
    export const REJECT: string;
    const TURN_SIGN_1: string;
    export { TURN_SIGN_1 as TURN_SIGN };
    const BACKWARD_SIGN_1: string;
    export { BACKWARD_SIGN_1 as BACKWARD_SIGN };
    const FORWARD_SIGN_1: string;
    export { FORWARD_SIGN_1 as FORWARD_SIGN };
}
export namespace COMMENT_TYPE {
    const APPROVE_1: string;
    export { APPROVE_1 as APPROVE };
    const REJECT_1: string;
    export { REJECT_1 as REJECT };
}
export namespace TRIGGER_FUNC_NAME_MAP {
    const wedaUpdate: string;
    const wedaDelete: string;
    const wedaCreate: string;
}
export namespace TRIGGER_TYPE {
    const OPT_DATASOURCE: string;
    const SEND_MESSAGE: string;
}
export const TRIGGER_TYPE_EVENT_MAP: {
    [x: string]: string;
};
export namespace TRIGGER_FIELD_METHOD {
    const UPDATE: string;
    const CREATE: string;
    const DELETE: string;
    const LOCK: string;
    const UNLOCK: string;
}
export const TRIGGER_FIELD_METHOD_NAME_MAP: {
    [x: string]: string;
};
export namespace TRIGGER_ELEMENT_TYPE_MAP {
    const MessageServiceTask: string;
    const ServiceTask: string;
}
export const TRIGGER_ELEMENT_TYPE_NAME_MAP: {
    [x: string]: string;
};
