// 详情组件的默认按钮集合
export const DETAIL_BUTTONS = [
    {
        text: '编辑',
        tooltip: '',
        htmlType: 'button',
        type: 'primary',
        action: 'edit',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '删除',
        tooltip: '',
        htmlType: 'button',
        type: 'error',
        action: 'del',
        show: true,
        loading: false,
        disabled: false,
    },
];
// 新建组件的默认按钮集合
export const CREATE_BUTTONS = [
    {
        text: '提交',
        tooltip: '',
        htmlType: 'button',
        type: 'primary',
        action: 'submit',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '取消',
        tooltip: '',
        htmlType: 'button',
        type: 'weak',
        action: 'cancel',
        show: true,
        loading: false,
        disabled: false,
    },
];
// 更新组件的默认按钮集合
export const UPDATE_BUTTONS = [
    {
        text: '提交',
        tooltip: '',
        htmlType: 'button',
        type: 'primary',
        action: 'submit',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '取消',
        tooltip: '',
        htmlType: 'button',
        type: 'weak',
        action: 'cancel',
        show: true,
        loading: false,
        disabled: false,
    },
];
// 表格组件上方的默认按钮集合
export const TABLE_BUTTONS = [
    {
        text: '新建',
        tooltip: '',
        type: 'primary',
        htmlType: 'button',
        action: 'create',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '删除',
        tooltip: '',
        type: 'weak',
        htmlType: 'button',
        action: 'del',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '导出',
        tooltip: '',
        type: 'weak',
        htmlType: 'button',
        action: 'export',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '导入',
        tooltip: '',
        type: 'weak',
        htmlType: 'button',
        action: 'import',
        show: true,
        loading: false,
        disabled: false,
    },
];
// 表格组件操作列的默认按钮集合
export const TABLE_SETTINGS = [
    {
        text: '查看',
        tooltip: '',
        type: 'link',
        htmlType: 'button',
        action: 'retrieve',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '编辑',
        tooltip: '',
        type: 'link',
        htmlType: 'button',
        action: 'edit',
        show: true,
        loading: false,
        disabled: false,
    },
    {
        text: '删除',
        tooltip: '',
        type: 'link',
        htmlType: 'button',
        action: 'del',
        show: true,
        loading: false,
        disabled: false,
    },
];
