/**
 * 流程上限
 */
export const DATA_FLOW_LIMIT: 20;
/**
 * 流程名称长度上限
 */
export const FLOW_NAME_LIMIT: 30;
/**
 * 流程ID长度上限
 */
export const FLOW_ID_LIMIT: 30;
export const START_EVENT: "StartEvent";
export const APPROVAL_NODE_TYPE: "UserTask";
export const SERVICE_TASK: "ServiceTask";
export const REJECT_TO_START_NODE: "REJECT_TO_START_NODE";
export const REJECT_TO_LAST_NODE: "REJECT_TO_LAST_NODE";
export const REJECT_TO_ANY_NODE: "REJECT_TO_ANY_NODE";
export const SAME_USER_AS_PREV: "SAME_USER_AS_PREV";
export const PASS: "pass";
export const REJECT: "reject";
export const X_ENUM_OBJ: "x-enumObj";
export const X_REQUIRED: "x-required";
export const Variable: "flow";
export const RESPONSE: "Response";
export const DATA: "Data";
export const REJECT_TO: "驳回至";
export const NEXT_APPROVER: "下一步审批人";
export const APPROVAL_MESSAGE: "审批意见";
export const APPROVING: "APPROVING";
export const SIGN_MESSAGE: "加签意见";
export const TURN_SIGN_MESSAGE: "转签意见";
export const SIGN_TYPE_MAP: {
    FORWARD_SIGN: string;
    BACKWARD_SIGN: string;
    3: string;
};
export namespace APPROVAL_TYPE {
    const APPROVE_SINGLE: string;
    const APPROVE_MULTI: string;
}
export namespace APPROVAL_STATUS {
    const APPROVING: string;
    const APPROVED: string;
    const APPROVE: string;
    const REJECTED: string;
    const REJECT: string;
    const EXECUTING: string;
    const UNEXECUTED: string;
    const FAILED: string;
    const REVOKED: string;
}
export namespace APPROVAL_ICON_TYPE {
    const APPROVING_1: string;
    export { APPROVING_1 as APPROVING };
    const EXECUTING_1: string;
    export { EXECUTING_1 as EXECUTING };
    const APPROVED_1: string;
    export { APPROVED_1 as APPROVED };
    const APPROVE_1: string;
    export { APPROVE_1 as APPROVE };
    const REJECTED_1: string;
    export { REJECTED_1 as REJECTED };
    const UNEXECUTED_1: string;
    export { UNEXECUTED_1 as UNEXECUTED };
    const REJECT_1: string;
    export { REJECT_1 as REJECT };
    const FAILED_1: string;
    export { FAILED_1 as FAILED };
    const REVOKED_1: string;
    export { REVOKED_1 as REVOKED };
}
export namespace NODE_WRAPPER_CLASS {
    const APPROVING_2: string;
    export { APPROVING_2 as APPROVING };
    const APPROVED_2: string;
    export { APPROVED_2 as APPROVED };
    const REJECTED_2: string;
    export { REJECTED_2 as REJECTED };
    const FAILED_2: string;
    export { FAILED_2 as FAILED };
    const REVOKED_2: string;
    export { REVOKED_2 as REVOKED };
}
export namespace APPROVAL_TEXT_THEME {
    const APPROVING_3: string;
    export { APPROVING_3 as APPROVING };
    const EXECUTING_2: string;
    export { EXECUTING_2 as EXECUTING };
    const APPROVED_3: string;
    export { APPROVED_3 as APPROVED };
    const APPROVE_2: string;
    export { APPROVE_2 as APPROVE };
    const REJECTED_3: string;
    export { REJECTED_3 as REJECTED };
    const UNEXECUTED_2: string;
    export { UNEXECUTED_2 as UNEXECUTED };
    const REJECT_2: string;
    export { REJECT_2 as REJECT };
    const FAILED_3: string;
    export { FAILED_3 as FAILED };
    const REVOKED_3: string;
    export { REVOKED_3 as REVOKED };
}
export namespace NO_CALLWORKFLOW_TIPS {
    const title: string;
    const icon: string;
}
export namespace NO_CALLWEDAAPI_TIPS {
    const title_1: string;
    export { title_1 as title };
    const icon_1: string;
    export { icon_1 as icon };
}
