export const approvalHistoryMockData = {
    Status: 'REJECTED',
    ProcessInstanceBeginTime: '2021-07-12T21:48:56.000+0800',
    ProcessNodeDetailList: [
        {
            ProcessNode: {
                Status: 'APPROVE',
                ElementType: 'StartEvent',
                NodeName: 'StartNode0',
                NodeKey: 'Node-0',
            },
        },
        {
            ProcessNode: {
                Status: 'APPROVE',
                ElementType: 'ServiceTriggerTask',
                NodeName: 'DataTriggerNode1',
                TriggerNode: {
                    TriggerType: 'DataTrigger',
                    DatasourceExtension: {
                        Datasource: 'data-er4zwzrkutd',
                        TriggerFuncList: ['wedaCreate'],
                        OperationOrExpressionList: [
                            {
                                OperationAndExtensionList: [
                                    {
                                        Condition: 'eq',
                                        KeyType: 'string',
                                        ValueType: '1',
                                        Value: 'v10',
                                        Key: 'k10',
                                    },
                                    {
                                        Condition: 'eq',
                                        KeyType: 'string',
                                        ValueType: '1',
                                        Value: 'v11',
                                        Key: 'k11',
                                    },
                                ],
                            },
                            {
                                OperationAndExtensionList: [
                                    {
                                        Condition: 'eq',
                                        KeyType: 'string',
                                        ValueType: '1',
                                        Value: 'v20',
                                        Key: 'k20',
                                    },
                                    {
                                        Condition: 'eq',
                                        KeyType: 'string',
                                        ValueType: '1',
                                        Value: 'v21',
                                        Key: 'k21',
                                    },
                                ],
                            },
                        ],
                        ExtensionElementType: '1',
                        UpdateFieldList: [],
                        Namespace: 'lowcode-8g0pt9mxc7dc6686',
                    },
                    TriggerCycleType: 'P1DT0S',
                    StartUser: '李雷',
                    EndDate: '2021-07-01',
                    BeginDate: '2021-07-01',
                    ExecTime: '12:00:01',
                },
                NodeKey: 'Node-1',
            },
        },
        {
            ProcessNode: {
                Status: 'APPROVE',
                ElementType: 'MessageServiceTask',
                NodeName: '节点-6',
                NodeKey: 'Node-6',
                NoticeNode: {
                    MessageTemplateId: '1464162503606480897',
                    MessageReceiverNameList: ['test01'],
                    MessageTemplateName: '测试模板',
                    MessageReceiverList: ['1460234686403309569'],
                },
            },
            CommentInfoList: [
                {
                    Type: 'SEND_MESSAGE',
                    TaskId: '',
                    Message: {
                        Text: '测试模板',
                    },
                    Author: '1453909322530529281',
                    AuthorInfo: {
                        UserName: 'administrator',
                        UserId: '1453909322530529281',
                    },
                    Time: '2021-12-09T18:07:01.000+0800',
                    ProcessInstanceId: 'b13f9619-58d7-11ec-8594-20906f7cbf3b',
                    CommentId: '',
                },
            ],
        },
        {
            ProcessNode: {
                Status: 'APPROVE',
                ElementType: 'ServiceTask',
                NodeName: '节点-7',
                AutoServiceNode: {
                    DatasourceExtension: {
                        ExtensionElementName: '更新',
                        Datasource: 'processver_qdw7qwm',
                        TriggerFuncList: ['wedaUpdate'],
                        DatasourceName: '版本管理(processver_qdw7qwm)',
                        ViewId: 'view-5db5r5jpc',
                        ExtensionElementType: '2',
                        UpdateFieldList: [
                            {
                                KeyType: 'string',
                                ValueType: 'const',
                                Value: '333',
                                Id: '1639038484315',
                                Key: 'name',
                            },
                        ],
                        Namespace: 'lowcode-7glbs5w78929aa91',
                    },
                },
                NodeKey: 'Node-7',
            },
            CommentInfoList: [
                {
                    Type: 'OPT_DATASOURCE',
                    TaskId: '',
                    Message: {
                        Status: 'FAILED',
                        DatasourceFieldInfoList: [
                            {
                                Method: 'CREATE',
                            },
                            {
                                Method: 'UPDATE',
                            },
                            {
                                ItemId: '287a53aa61b1a89401396cce04905ef1',
                                Method: 'UPDATE',
                            },
                        ],
                    },
                    Author: '1453909322530529281',
                    AuthorInfo: {
                        UserName: 'administrator',
                        UserId: '1453909322530529281',
                    },
                    Time: '2021-12-09T18:07:02.000+0800',
                    ProcessInstanceId: 'b13f9619-58d7-11ec-8594-20906f7cbf3b',
                    CommentId: '',
                },
            ],
        },
        {
            ProcessNode: {
                Status: 'EXECUTING',
                ElementType: 'UserTask',
                TaskId: 'dc5aea31-e51d-11eb-a2b3-20906f2fbe7b',
                NodeName: '超额审批',
                NodeKey: 'Node-3',
                ManualUserNode: {
                    NodeName: '超额审批',
                    ApprovalType: 'APPROVE_MULTI',
                    ApprovalUserType: 'FIX_USER',
                    ApprovalUserNameList: ['张三', '李四', '王五', '李明', '陈可', '钱芳', '赵雷'],
                    ApprovalUserList: ['a', 'b', 'c', 'd', 'e', 'f', 'g'],
                    ApproveMethodExtension: {
                        ApprovalMethodType: 'APPROVE',
                        ApprovalDatasource: {
                            Datasource: 'processver_qdw7qwm',
                            DatasourceFieldList: [
                                {
                                    Required: false,
                                    Key: 'age',
                                },
                            ],
                            Namespace: 'lowcode-7glbs5w78929aa91',
                        },
                        TriggerAfterEventExtensionList: [
                            {
                                TriggerAfterEvent: 'NoticeEvent',
                                MessageNoticeNode: {
                                    MessageTemplateId: '1464162503606480897',
                                    MessageReceiverList: ['1460234023237709826'],
                                },
                            },
                            {
                                TriggerAfterEvent: 'DatasourceEvent',
                                DatasourceExtension: {
                                    Datasource: 'processver_qdw7qwm',
                                    TriggerFuncList: ['wedaUpdate', 'wedaDelete', 'wedaCreate'],
                                    ExtensionElementType: '2',
                                    UpdateFieldList: [
                                        {
                                            KeyType: 'string',
                                            ValueType: 'const',
                                            Value: '123',
                                            Id: '1637918544247',
                                            Key: 'name',
                                        },
                                    ],
                                    Namespace: 'lowcode-7glbs5w78929aa91',
                                },
                            },
                        ],
                    },
                },
            },
            CommentInfoList: [
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '张三',
                        UserId: 'a',
                    },
                    Author: 'a',
                    Type: 'APPROVE',
                    Time: '2021-07-12T11:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '李四',
                        UserId: 'b',
                    },
                    Author: 'b',
                    Type: 'APPROVE',
                    Time: '2021-07-12T12:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '王五',
                        UserId: 'c',
                    },
                    Author: 'c',
                    Type: 'APPROVE',
                    Time: '2021-07-12T13:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '李明',
                        UserId: 'd',
                    },
                    Author: 'd',
                    Type: 'APPROVE',
                    Time: '2021-07-12T14:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '陈可',
                        UserId: 'e',
                    },
                    Author: 'e',
                    Type: 'APPROVE',
                    Time: '2021-07-12T15:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '钱芳',
                        UserId: 'f',
                    },
                    Author: 'f',
                    Type: 'APPROVE',
                    Time: '2021-07-12T16:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '赵雷',
                        UserId: 'g',
                    },
                    Author: 'g',
                    Type: 'APPROVE',
                    Time: '2021-07-12T17:10:06.057+0800',
                },
                {
                    Type: 'OPT_DATASOURCE',
                    TaskId: '',
                    Message: {
                        Status: 'SUCCESS',
                        DatasourceFieldInfoList: [
                            {
                                SourceValue: 'test1',
                                TargetValue: '123',
                                Method: 'UPDATE',
                                ItemId: '287a53aa61b1a89401396cce04905ef1',
                                FieldName: 'name',
                            },
                        ],
                    },
                    Author: '1453909322530529281',
                    AuthorInfo: {
                        UserName: 'administrator',
                        UserId: '1453909322530529281',
                    },
                    Time: '2021-12-09T15:01:24.000+0800',
                    ProcessInstanceId: '1d94155c-58bd-11ec-8636-20906f3f86b6',
                    CommentId: '',
                },
                {
                    Type: 'SEND_MESSAGE',
                    TaskId: '',
                    Message: {
                        Text: '测试模板',
                    },
                    Author: '1453909322530529281',
                    AuthorInfo: {
                        UserName: 'administrator',
                        UserId: '1453909322530529281',
                    },
                    Time: '2021-12-09T18:07:01.000+0800',
                    ProcessInstanceId: 'b13f9619-58d7-11ec-8594-20906f7cbf3b',
                    CommentId: '',
                },
            ],
        },
        {
            ProcessNode: {
                Status: 'EXECUTING',
                ElementType: 'UserTask',
                TaskId: 'dc5aea31-e51d-11eb-a2b3-20906f2fbe7b',
                NodeName: '加签审批',
                NodeKey: 'Node-3',
                ManualUserNode: {
                    NodeName: '加签审批',
                    ApprovalType: 'APPROVE_MULTI',
                    ApprovalUserType: 'FIX_USER',
                    ApprovalUserNameList: ['张三', '李四', '王五', '李明'],
                    ApprovalUserList: ['a', 'b', 'c', 'd'],
                },
            },
            CommentInfoList: [
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '张三',
                        UserId: 'a',
                    },
                    Author: 'a',
                    Type: 'APPROVE',
                    Time: '2021-07-12T11:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '李四',
                        UserId: 'b',
                    },
                    Author: 'b',
                    Type: 'APPROVE',
                    Time: '2021-07-12T12:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '加！',
                        RelatedUser: {
                            UserName: '老王',
                            UserId: '1416025211164098561',
                        },
                    },
                    AuthorInfo: {
                        UserName: '王五',
                        UserId: 'c',
                    },
                    Author: 'c',
                    Type: 'BACKWARD_SIGN',
                    Time: '2021-07-12T13:10:06.057+0800',
                },
            ],
        },
        {
            ProcessNode: {
                Status: 'EXECUTING',
                ElementType: 'UserTask',
                TaskId: 'dc5aea31-e51d-11eb-a2b3-20906f2fbe7b',
                NodeName: '转签审批',
                NodeKey: 'Node-3',
                ManualUserNode: {
                    NodeName: '转签审批',
                    ApprovalType: 'APPROVE_MULTI',
                    ApprovalUserType: 'FIX_USER',
                    ApprovalUserNameList: ['张三', '李四', '王五', '李明'],
                    ApprovalUserList: ['a', 'b', 'c', 'd'],
                    ApprovalRoleIdList: [1, 2],
                    ApprovalRoleNameList: ['管理员', '超级管理员'],
                    DatasourceUserFieldList: [
                        {
                            DatasourceName: 'beta_chb9ilr',
                            UserFieldNameList: ['owner', 'leader'],
                            UserFieldTitleList: ['负责人', '组长'],
                        },
                        {
                            DatasourceName: 'beta_chb9ilr33',
                            UserFieldNameList: ['creator'],
                            UserFieldTitleList: ['创建人'],
                        },
                    ],
                },
                HandledRoleIdList: [1],
                HandledDatasourceUserFieldList: [
                    {
                        DatasourceName: 'beta_chb9ilr',
                        UserFieldNameList: ['owner', 'leader'],
                        UserFieldTitleList: ['负责人', '组长'],
                    },
                ],
            },
            CommentInfoList: [
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '张三',
                        UserId: 'a',
                    },
                    Author: 'a',
                    Type: 'APPROVE',
                    Time: '2021-07-12T11:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '李四',
                        UserId: 'b',
                    },
                    Author: 'b',
                    Type: 'APPROVE',
                    Time: '2021-07-12T12:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '王五',
                        UserId: 'c',
                    },
                    Author: 'c',
                    Type: 'APPROVE',
                    Time: '2021-07-12T13:10:06.057+0800',
                },
            ],
        },
        {
            ProcessNode: {
                Status: 'EXECUTING',
                ElementType: 'UserTask',
                TaskId: 'dc5aea31-e51d-11eb-a2b3-20906f2fbe7b',
                NodeName: '财务审批',
                NodeKey: 'Node-3',
                ManualUserNode: {
                    NodeName: '财务审批',
                    ApprovalType: 'APPROVE_MULTI',
                    ApprovalUserType: 'FIX_USER',
                    ApprovalUserNameList: ['张三', '李四', '王五', '李明', '陈可', '钱芳', '赵雷'],
                    ApprovalUserList: ['a', 'b', 'c', 'd', 'e', 'f', 'g'],
                    ApprovalRoleIdList: [1, 2],
                    ApprovalRoleNameList: ['管理员', '超级管理员'],
                    RejectMethodExtension: {
                        ApprovalMethodType: 'REJECT',
                        RejectOptionType: 'REJECT_TO_START_NODE',
                        ApprovalDatasource: {
                            Datasource: 'processver_qdw7qwm',
                            Namespace: 'lowcode-7glbs5w78929aa91',
                        },
                        TriggerAfterEventExtensionList: [
                            {
                                TriggerAfterEvent: 'NoticeEvent',
                                MessageNoticeNode: {
                                    MessageTemplateId: '1464162503606480897',
                                    MessageReceiverList: ['1460234023237709826'],
                                },
                            },
                            {
                                TriggerAfterEvent: 'DatasourceEvent',
                                DatasourceExtension: {
                                    Datasource: 'processver_qdw7qwm',
                                    TriggerFuncList: ['wedaUpdate'],
                                    ExtensionElementType: '2',
                                    UpdateFieldList: [
                                        {
                                            KeyType: 'string',
                                            ValueType: 'const',
                                            Value: '123',
                                            Id: '1637918544247',
                                            Key: 'name',
                                        },
                                    ],
                                    Namespace: 'lowcode-7glbs5w78929aa91',
                                },
                            },
                        ],
                    },
                    DatasourceUserFieldList: [
                        {
                            DatasourceName: 'beta_chb9ilr',
                            UserFieldNameList: ['owner', 'leader'],
                            UserFieldTitleList: ['负责人', '组长'],
                        },
                        {
                            DatasourceName: 'beta_chb9ilr33',
                            UserFieldNameList: ['creator'],
                            UserFieldTitleList: ['创建人'],
                        },
                    ],
                },
                HandledRoleIdList: [1],
                HandledDatasourceUserFieldList: [
                    {
                        DatasourceName: 'beta_chb9ilr',
                        UserFieldNameList: ['owner', 'leader'],
                        UserFieldTitleList: ['负责人', '组长'],
                    },
                ],
            },
            CommentInfoList: [
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '张三',
                        UserId: 'a',
                    },
                    Author: 'a',
                    Type: 'APPROVE',
                    Time: '2021-07-12T13:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '李四',
                        UserId: 'b',
                    },
                    Author: 'b',
                    Type: 'APPROVE',
                    Time: '2021-07-12T14:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '同意',
                    },
                    AuthorInfo: {
                        UserName: '王五',
                        UserId: 'c',
                    },
                    Author: 'c',
                    Type: 'APPROVE',
                    Time: '2021-07-12T15:10:06.057+0800',
                },
                {
                    CommentId: 'f2ecde7b-e2f0-11eb-8274-762ef339fba5',
                    Message: {
                        Text: '不行',
                    },
                    AuthorInfo: {
                        UserName: '李明',
                        UserId: 'd',
                    },
                    Author: 'd',
                    Type: 'REJECT',
                    Time: '2021-07-12T16:10:06.057+0800',
                },
                {
                    Type: 'OPT_DATASOURCE',
                    TaskId: '',
                    Message: {
                        Status: 'SUCCESS',
                        DatasourceFieldInfoList: [
                            {
                                SourceValue: '123',
                                TargetValue: '333',
                                Method: 'UPDATE',
                                ItemId: '287a53aa61b1d5270144c6ac67b7ecf4',
                                FieldName: 'name',
                            },
                            {
                                SourceValue: 'test1',
                                TargetValue: '123',
                                Method: 'CREATE',
                                ItemId: '287a53aa61b1a89401396cce04905ef1',
                                FieldName: 'name',
                            },
                            {
                                SourceValue: 'test1',
                                TargetValue: '123',
                                Method: 'DELETE',
                                ItemId: '287a53aa61b1a89401396cce04905ef1',
                                FieldName: 'name',
                            },
                            {
                                SourceValue: 'test1',
                                TargetValue: '123',
                                Method: 'LOCK',
                                ItemId: '287a53aa61b1a89401396cce04905ef1',
                                FieldName: 'name',
                            },
                            {
                                SourceValue: 'test1',
                                TargetValue: '123',
                                Method: 'UNLOCK',
                                ItemId: '287a53aa61b1a89401396cce04905ef1',
                                FieldName: 'name',
                            },
                        ],
                    },
                    Author: '1453909322530529281',
                    AuthorInfo: {
                        UserName: 'administrator',
                        UserId: '1453909322530529281',
                    },
                    Time: '2021-12-09T15:01:24.000+0800',
                    ProcessInstanceId: '1d94155c-58bd-11ec-8636-20906f3f86b6',
                    CommentId: '',
                },
            ],
        },
    ],
};
