import { isH5Platform } from './platform';
import { message as TeaMessage } from 'tea-component';
export function alertErrorMessage({ message, duration = 3000, icon = 'none', callback }) {
    var _a, _b, _c, _d, _e;
    const smallScreen = (_b = (_a = window === null || window === void 0 ? void 0 : window.matchMedia('(max-width: 1024px)')) === null || _a === void 0 ? void 0 : _a.matches) !== null && _b !== void 0 ? _b : isH5Platform();
    const touchDevice = (_d = (_c = window === null || window === void 0 ? void 0 : window.matchMedia('(pointer:coarse)')) === null || _c === void 0 ? void 0 : _c.matches) !== null && _d !== void 0 ? _d : smallScreen;
    const platform = touchDevice || smallScreen ? 'h5' : 'pc';
    if (platform === 'h5') {
        (_e = window === null || window === void 0 ? void 0 : window.app) === null || _e === void 0 ? void 0 : _e.showToast({
            title: message,
            icon,
            duration,
            callback,
        });
    }
    else {
        TeaMessage.error({ content: message, duration, onClose: callback });
    }
}
