/**
 * 判断当前是否是 cloud 开头的图片协议
 */
export const isCloudFileID = (url) => /^cloud:\/\/.*/.test(url);
/**
 * 当前环境是否为 H5 端
 */
export const isH5Platform = () => {
    var _a;
    if (window.matchMedia) {
        return (_a = window.matchMedia('(max-width: 1024px)')) === null || _a === void 0 ? void 0 : _a.matches;
    }
    else {
        let is = false;
        try {
            const ua = navigator && navigator.userAgent;
            is = /Android|webOS|BlackBerry|iPhone|iPad|iPod|iOS/i.test(ua);
        }
        catch (e) {
            null;
        }
        return is;
    }
};
