> 如无必要，勿增实体

## 本地开发

1. `yarn run dev` 启动本地开发打包，生成 `dist/main.js` 与 `dist/main.css`

1. whistle 代理类似如下配置，代理正式 js 到本地 并开启跨域

   ```
   /qbase\.cdn-go\.cn\/lcap\/lcap-resource-cdngo\/-\/.*?\/_files\/static\/weda-render\/main\.(.*?)\.bundle\.js/ resCors://* file:///Users/yang/git/weda-alternative/packages/weda-render/lib/main.bundle.js
   ```

## 打包发布

注意：打包发布本项目前，要保证/packages/weda-client，和 cals 两个包都完成了构建
基本上， 分别在两个包的目录， yarn run develop 或 yarn run dev 就 ok

### cdn

1. `rm -rf ./lib/*` 清理本地目录
1. `yarn run build:web` 打包生成正式文件
1. `cp -rf ./lib/* ../lcap-resource-cdngo/static/weda-render/` copy cdn 文件到发布目录
1. 在 lcap-resource-cdngo 下，git 提交变更。
1. 在 lcap-resource-cdngo 下， `yarn delete:tag 0.1.4 && git tag --delete 0.1.4 && git tag 0.1.4 && git push --tag` 删除远端 本地 tag ，并打新 tag，推送 tag 进行发布，orange-ci 会自动拉起回话，注意观察正式是否发布成功
1. cdn 发布成功后更新 [七彩石配置](http://rainbow.oa.com/console/f41ea5e1-e9e0-4bff-9b01-40b3de0cbc6b/Default/list?group_id=359168&group_name=production) ，中`weidaPreview` 的 `renderJsHash` 为 cdn 文件的 hash

### npm 包

1. `yarn run build` 进行构建
1. `yarn npm version` 更新 package.json 版本号
1. `yarn npm publish` 发布 npm 包
