export { useComponentProps, OwnerComponentContext } from './utils/hooks';
export { default as WedaApp, InjectContext, WedaRouter } from './router';
export { default as PageRender } from './pages/index';
export { AppRender } from './handlers/RenderWrapper';
export { registerApp, createPageApi } from './app/global-api';
export { registerRuntime } from './utils/adapter';
export * from './utils/adapter/dependencies';
export { getComponentsInfo, getComponentSchema } from './utils/adapter/generate';
/**
 * @deprecated
 */
export { isEnableWecom } from './utils/common';
