import { IAppAPI, IPageAPI } from '../../app/global-api';
import * as Mobx from 'mobx';
import * as React from 'react';
declare global {
    interface Window {
        mobx?: typeof Mobx;
        app?: IAppAPI;
        $app?: IAppAPI;
        $page?: IPageAPI;
        $w?: any;
        WedaAppContext: React.Context<{}>;
        $$global?: any;
        _aegis?: any;
        _aegis_inited?: number;
    }
}
export declare let runtime: Window & typeof globalThis;
export declare function registerRuntime(_runtime?: Window & typeof globalThis): void;
