import { AlginMode, LoginMethodType } from './types';
export declare const WECOM_ACCESS_PATH = "weda.cloud.tencent.com/weda-auth-page/";
export declare const WECOM_CALLBACK_PATH = "callback.weda.tencent-cloud.com";
export declare const FAVICON_URL = "https://cloudcache.tencentcs.com/qcloud/app/resource/ac/favicon.ico";
export declare const SMS_METHOD: {
    id: string;
    label: string;
    type: LoginMethodType;
};
export declare const PASSWORD_METHOD: {
    id: string;
    label: string;
    type: LoginMethodType;
};
export declare const PORTAL_WECOM_METHOD: {
    id: string;
    label: string;
    type: LoginMethodType;
    icon: string;
};
export declare const APIS_CONFIG: {
    title: string;
    favicon: string;
    name: string;
    logo: string;
    alginMode: AlginMode;
    backgroundColor: string;
    backgroundImage: string;
    web: {
        id: string;
        label: string;
        type: LoginMethodType;
    }[];
};
