import * as React from 'react';
import { IPlatformApp } from '@cloudbase/cals';
export declare function upsertFavicon(favicon: any, app: any, entryDoc?: Document): void;
export declare function injectExternals(runtime?: Window & typeof globalThis): void;
export declare function loadDependencies(data: {
    dependencies: any[];
    runtime?: Window;
} | any[], options?: {
    cache: boolean;
} | boolean): Promise<{
    controlMap: any;
    componentsMap: {};
    componentActionsMap: {};
}>;
export declare const loadDependiences: typeof loadDependencies;
export declare function formatDependiencesMap(components: any, controls: any): {
    controlMap: any;
    componentsMap: {};
    componentActionsMap: {};
};
export declare function loadExternalResources({ externalResources, runtime, }: {
    externalResources?: IPlatformApp['externalResources'];
    runtime?: Window;
}, options?: {
    cache?: boolean;
}): Promise<void>;
export declare function loadRuntimeDependencies(): Promise<{
    controlMap: {};
    componentsMap: {
        [x: string]: React.ForwardRefExoticComponent<React.RefAttributes<unknown>>;
    };
    componentActionsMap: {};
}>;
export declare function loadMockDependencies(): Promise<{
    controlMap: {};
    componentsMap: {};
    componentActionsMap: {};
}>;
