"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toCssText = void 0;
var common_1 = require("./common");
function toCssText(style, className) {
    if (className === void 0) { className = '.some-class-name'; }
    var attrText = Object.keys(style)
        .map(function (key) {
        var value = style[key];
        return "".concat((0, common_1.kebabCase)(key), ": ").concat(value, ";");
    })
        .join('\n');
    return "".concat(className, " { ").concat(attrText, " }\n");
}
exports.toCssText = toCssText;
//# sourceMappingURL=style.js.map