import FlowCard from './components/flowcard.json';
import ModelTable from './components/table.json';
import ModelDetail from './components/detail.json';
import ModelCreate from './components/create.json';
import ModelUpdate from './components/update.json';
import PageLayout from './components/pagelayout.json';
import ModelFlow from './components/flow.json';
import ModelFlowBasic from './components/flowbasic.json';
import ModelFlowChart from './components/flowchart.json';
import ModelFlowControl from './components/flowcontrol.json';
import ModelFlowLayout from './components/flowlayout.json';
import ModelFlowProcess from './components/flowprocess.json';
const fromEntries = require('object.fromentries');
if (!Object.fromEntries) {
    fromEntries.shim();
}
export const components = {
    ModelTable,
    ModelDetail,
    ModelCreate,
    ModelUpdate,
    FlowCard,
    PageLayout,
    ModelFlow,
    ModelFlowBasic,
    ModelFlowChart,
    ModelFlowControl,
    ModelFlowLayout,
    ModelFlowProcess,
};
export const actions = {};
export default {
    actions,
    components,
};
