import React from 'react';
import classNames from 'classnames';
import { Variable } from '../../constants';
import HistoryNode from './HistoryNode';
const History = ({ dataSource, className, style, ...rest }) => (React.createElement("div", { className: classNames(`${Variable}-step`, className), style: style, ...rest }, dataSource.map((historyNode) => (React.createElement(HistoryNode, { key: historyNode.id, dataSource: historyNode })))));
export default History;
