export declare const STATUS_NUMBER_MAPPING: {
    1: string;
    2: string;
    3: string;
    4: string;
    5: string;
    6: string;
    7: string;
    8: string;
    9: string;
    10: string;
    11: string;
    12: string;
    13: string;
    14: string;
    15: string;
    16: string;
};
export declare const STATUS: {
    START: string;
    PASS: string;
    DOWN: string;
    TURN: string;
    REVOKE: string;
    TRANS: string;
    COUNTERSIGN: string;
    STOP: string;
    SKIP_PASS: string;
    SKIP_DOWN: string;
    PENDING: string;
    END: string;
    HANDLED: string;
    HANDLING: string;
    CC: string;
    DROP: string;
};
export declare const STATUS_TEXT: {
    pass: {
        theme: string;
        text: string;
    };
    trun: {
        theme: string;
        text: string;
    };
    down: {
        theme: string;
        text: string;
    };
    pending: {
        theme: string;
        text: string;
    };
    trans: {
        theme: string;
        text: string;
    };
    revoke: {
        theme: string;
        text: string;
    };
    skip_pass: {
        theme: string;
        text: string;
    };
    skip_down: {
        theme: string;
        text: string;
    };
    end: {
        theme: string;
        text: string;
    };
    countersign: {
        theme: string;
        text: string;
    };
    stop: {
        theme: string;
        text: string;
    };
    handled: {
        theme: string;
        text: string;
    };
    handling: {
        theme: string;
        text: string;
    };
};
export declare const PAGE_TYPE: {
    /** 待我处理 */
    TO_DO: string;
    /** 我创建的 */
    CREATE: string;
    /** 我已处理 */
    DONE: string;
    /** 抄送我的 */
    COPY: string;
    /** 草稿箱 */
    DRAFT: string;
    /** 新建流程 */
    CREATEFLOW: string;
};
