import { IFlowLocalProps, ICommonFlowDataProps, IFlowDetailProps, IPageInfoProps } from './types';
export declare function getCommonFlowData(config: IFlowLocalProps, flowTaskId: string): Promise<ICommonFlowDataProps>;
export declare function getProcessInstance(config: IFlowLocalProps, pageTypeParams: string, flowTaskId: string): Promise<IFlowDetailProps>;
export declare function getPageInfo(config: IFlowLocalProps, flowDetail: IFlowDetailProps, pageType: string): Promise<{
    pageInfo: IPageInfoProps;
    flowLoadData: {
        initialValues: any;
        formType: string;
    };
}>;
export declare function fetchFlowSteps(config: IFlowLocalProps, flowDetail: IFlowDetailProps): Promise<{
    steps: any[];
    ccUserMaps: any;
}>;
