export declare type ModuleName = 'flow-basic' | 'flow-process' | 'flow-chart' | 'flow-control' | 'flow-layout';
export interface useCommonFlowRequestProps {
    /**
     * 模块名称
     */
    moduleName: ModuleName;
    /**
     * 数据请求
     */
    request: () => Promise<any>;
    /**
     * 数据监听回调
     */
    onListen: (data: any) => void;
}
/** 流程通用接口请求hook */
export declare function useCommonFlowRequest({ moduleName, request, onListen }: useCommonFlowRequestProps): void;
