import { message } from 'tea-component';
import { postPressTask } from '../../services';
// 流程催办
export const pressTask = (params, { isWedaIde, callWedaApi }) => {
    if (isWedaIde) {
        return;
    }
    postPressTask(params, { callWedaApi }).then((res) => {
        if ((res === null || res === void 0 ? void 0 : res.status) === true) {
            message.success({
                content: '催办成功',
            });
        }
        else if ((res === null || res === void 0 ? void 0 : res.status) === false) {
            message.warning({
                content: '当前催办操作过于频繁，请明日再试！',
            });
        }
    });
};
