import { getPageQuery } from '../../../../../utils';
export default class ControlModelUtils {
    static translateVariableInfos(pageFormData, pageDetail) {
        const outEntityCodes = (pageDetail === null || pageDetail === void 0 ? void 0 : pageDetail.outEntityCodes) || [];
        return outEntityCodes === null || outEntityCodes === void 0 ? void 0 : outEntityCodes.map((item) => {
            const variableInfo = {
                Type: item === null || item === void 0 ? void 0 : item.type,
                Value: {
                    entityCode: item === null || item === void 0 ? void 0 : item.entityCode,
                    fieldValueMap: pageFormData === null || pageFormData === void 0 ? void 0 : pageFormData[item === null || item === void 0 ? void 0 : item.entityCode],
                },
            };
            return variableInfo;
        });
    }
    static navigateToFlowCenter() {
        const { origin, pathname } = location;
        const { envType } = getPageQuery();
        window.location.href = `${origin}${pathname}#/flowCenter?envType=${envType}`;
    }
}
