export const getWedaUserList = async (params, { callWedaApi, IS_WEDA_IDE }) => {
    if (IS_WEDA_IDE) {
        return [];
    }
    const result = await callWedaApi({
        action: 'DescribeWedaUserList',
        data: {
            UserType: 'internalUser',
            ...params,
        },
    });
    return result;
};
export const getUserQuery = async (params, { callWedaApi, IS_WEDA_IDE }) => {
    if (IS_WEDA_IDE) {
        return [];
    }
    const result = await callWedaApi({
        action: 'SearchUser',
        data: params,
    });
    return result;
};
