import React from 'react';
import { Modal, Text, useClassNames } from 'tea-component';
import { ApprovalHistory } from '../ApprovalHistory';
import { Variable } from '../../constants';
import '../../styles/index.less';
export const ApprovalHistoryModal = (props) => {
    const { onClose, visible, ProcessInstanceId, title } = props || {};
    const { Margin } = useClassNames();
    return (React.createElement(Modal, { visible: visible, caption: React.createElement(React.Fragment, null,
            React.createElement("i", { className: `${Variable}-icon ${Variable}-icon--approval` }),
            React.createElement(Text, { theme: "text", className: Margin.Left['2n'], verticalAlign: "middle" }, title)), onClose: onClose },
        React.createElement(Modal.Body, null,
            React.createElement(ApprovalHistory, { ProcessInstanceId: ProcessInstanceId, className: undefined, style: undefined }))));
};
