import React from 'react';
import { Modal, Form } from 'tea-component';
import { FormProvider, createForm, Field } from '../formily-react';
import { ApprovalUserSelector } from './ApprovalUserSelector';
import { Submit, FormItem } from '../Form/FormItem';
import { NEXT_APPROVER } from '../../constants';
export const ApprovalUserModal = (props) => {
    const { visible, onClose, onSubmit } = props;
    const approvalUserFrom = createForm();
    const handleSubmit = (v) => {
        onSubmit(v.ApproveUserList);
    };
    return (React.createElement(Modal, { visible: visible, caption: "\u9009\u62E9\u4E0B\u4E00\u6B65\u5BA1\u6279\u4EBA", onClose: onClose },
        React.createElement(Modal.Body, null,
            React.createElement(FormProvider
            // @ts-ignore
            , { 
                // @ts-ignore
                form: approvalUserFrom },
                React.createElement(Form, { style: { width: 300, marginBottom: '15px' }, className: "model-form" },
                    React.createElement(Field, { name: "ApproveUserList", 
                        // @ts-ignore
                        title: NEXT_APPROVER, required: true, decorator: [FormItem], component: [ApprovalUserSelector] })),
                React.createElement(Submit, { onCancel: onClose, onSubmit: handleSubmit }, "\u786E\u8BA4")))));
};
