// @ts-nocheck
import React, { memo } from 'react';
import { Handle, Position } from 'react-flow-renderer';
const targetHandleStyle = {
    opacity: 0,
    pointerEvents: 'none',
};
// 空节点可用来占位用，上下锚点共用，以免连线样式中断
const BlankNode = () => (React.createElement(React.Fragment, null,
    React.createElement(Handle, { type: "target", position: Position.Bottom, style: targetHandleStyle }),
    React.createElement("div", { style: { height: 1 } }),
    React.createElement(Handle, { type: "source", position: Position.Bottom, style: targetHandleStyle })));
export default memo(BlankNode);
