import React, { memo } from 'react';
import { Handle, Position } from 'react-flow-renderer';
const targetHandleStyle = {
    opacity: 0,
    pointerEvents: 'none',
};
const GatewayNode = () => (React.createElement(React.Fragment, null,
    React.createElement(Handle, { type: "target", position: Position.Top, id: "target", 
        // @ts-ignore
        style: targetHandleStyle }),
    React.createElement("div", { style: { height: 1 } }),
    React.createElement(Handle, { type: "source", position: Position.Bottom, id: "source", 
        // @ts-ignore
        style: targetHandleStyle })));
export default memo(GatewayNode);
