import React from 'react';
import { Text } from 'tea-component';
// import { useRequest } from 'ahooks';
// import { getOrgsDetail } from '../../services';
// import { Provider } from '../../context';
import { getRelationData } from './index';
import './viewCell.less';
// const { LoadingTip } = StatusTip;
// showType table | detail | tree 表格页 详情页 下拉tree展示
export const ViewCell = ({ data, showType, relation }) => {
    if (showType === 'tree') {
        return React.createElement(Text, { verticalAlign: "middle" }, (data === null || data === void 0 ? void 0 : data.content) || '-');
    }
    const defaultValue = getRelationData(relation);
    return (defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue.id) ? (React.createElement(Text, { verticalAlign: "middle" }, defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue.content)) : (React.createElement(Text, null, "-"));
    // 先注释掉 此期不做hover展示具体部门和层级，保留注释代码。 、
    // 获取节点信息
    // const [orgsInfo, setOrgsInfo] = useState(null);
    // const [visible, setVisible] = useState(false);
    // const { callWedaApi, showToast, showError } = useGlobalContext();
    // const { run: runGetOrgs, loading } = useRequest(getOrgsDetail, {
    //   manual: true,
    //   onSuccess: (res) => {
    //     const { Data = [] } = res || {};
    //     setOrgsInfo(
    //       Data.sort((a, b) => a.level - b.level)
    //         .map((org) => org.OrgName)
    //         .join('/') || '暂无数据',
    //     );
    //   },
    // });
    // useEffect(() => {
    //   if (visible && isShowBubble()) {
    //     if (!orgsInfo) {
    //       runGetOrgs({ KeyId: keyId, Type: type }, callWedaApi, showToast, showError);
    //     }
    //   }
    // }, [visible]);
    // 在表格和详情查看的时候才展示气泡
    // const isShowBubble = () => ['table', 'detail'].includes(showType);
    // const renderBubbleContent = () => {
    //   if (isShowBubble()) {
    //     return (
    //       <>
    //         {loading ? <LoadingTip loadingText="" /> : <Text verticalAlign="middle">{orgsInfo}</Text>}
    //       </>
    //     );
    //   }
    //   return null;
    // };
    // return (
    //   <>
    //     {data.map((i) => (
    //       <Bubble
    //         visible={visible}
    //         onVisibleChange={(visible) => setVisible(visible)}
    //         content={renderBubbleContent()}
    //         placement="bottom"
    //         className="view-cell-bubble"
    //       >
    //         <Text verticalAlign="middle">{i.content}</Text>
    //       </Bubble>
    //     ))}
    //   </>
    // );
};
// export const ViewCell = (props) => (
//   <Provider>
//     <ViewCellComponent {...(props || {})} />
//   </Provider>
// );
