import { getDescribeGeneralOptionsDetailList } from '../../services';
export const getEnumOptions = async ({ fields, callWedaApi, showToast, isWedaIde, successCallback }) => {
    var _a, _b;
    if (fields.length) {
        // 获取选项集Name
        const optionsNames = (_b = (_a = JSON.stringify(fields)) === null || _a === void 0 ? void 0 : _a.match(/"x-option-name":.*?(,|})/g)) === null || _b === void 0 ? void 0 : _b.map((i) => { var _a, _b; return (_b = (_a = i === null || i === void 0 ? void 0 : i.replace(/("|,)/g, '')) === null || _a === void 0 ? void 0 : _a.split(':')) === null || _b === void 0 ? void 0 : _b[1]; });
        if (optionsNames === null || optionsNames === void 0 ? void 0 : optionsNames.length) {
            // 根据选项集Names,批量获取选项集
            const ids = Array.from(new Set(optionsNames));
            const result = await getDescribeGeneralOptionsDetailList(ids, callWedaApi, showToast, isWedaIde);
            // 整理批量选项集请求结果
            const optionsList = (result === null || result === void 0 ? void 0 : result.Items) || [];
            const enumOptions = optionsList === null || optionsList === void 0 ? void 0 : optionsList.reduce((prev, curr) => {
                var _a;
                const { Config: config, Name: name } = curr;
                // eslint-disable-next-line no-param-reassign
                prev[name] = (_a = JSON.parse(config)) === null || _a === void 0 ? void 0 : _a.map((item) => ({
                    value: item === null || item === void 0 ? void 0 : item.key,
                    text: item === null || item === void 0 ? void 0 : item.value,
                }));
                return prev;
            }, {});
            successCallback({ enumOptions, loading: false });
        }
    }
};
