export const flowChartMock = {
    Status: 'APPROVING',
    ProcessDefinitionName: 'process_537',
    ProcessNodeList: [
        {
            Status: 'APPROVE',
            ElementType: 'StartEvent',
            NodeName: '开始事件-0',
            NodeKey: 'Node-0',
        },
        {
            Status: 'UNEXECUTED',
            ElementType: 'EndEvent',
            NodeName: '结束事件-2',
            NodeKey: 'Node-2',
        },
        {
            Status: 'APPROVE',
            ElementType: 'ServiceTriggerTask',
            NodeName: '节点-1',
            TriggerNode: {
                TriggerType: 'TimerTrigger',
                DatasourceExtension: {
                    Datasource: 'testata',
                    OperationOrExpressionList: [
                        {
                            OperationAndExtensionList: [
                                {
                                    Condition: 'eq',
                                    KeyType: 'string',
                                    ValueType: 'const',
                                    Value: '123',
                                    Id: '1626943514802',
                                    Key: 'createBy',
                                },
                            ],
                        },
                    ],
                    ExtensionElementType: '1',
                    Namespace: 'lowcode-8gva1vihfd23de0b',
                },
                TriggerCycleType: 'P1DT0S',
                StartUser: '1415882565670076417',
                EndDate: '2021-07-22',
                BeginDate: '2021-07-22',
                ExecTime: '00:00:00',
            },
            NodeKey: 'Node-1',
        },
        {
            Status: 'EXECUTING',
            ElementType: 'UserTask',
            NodeName: '节点-8',
            NodeKey: 'Node-8',
            ManualUserNode: {
                RejectMethodExtension: {
                    ApprovalMethodType: 'REJECT',
                    RejectOptionType: 'REJECT_TO_START_NODE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ApprovalUserNameList: ['周经理,孙经理,陈经理'],
                NodeName: '财务审批',
                ApprovalType: 'APPROVE_MULTI',
                ApproveMethodExtension: {
                    ApprovalMethodType: 'APPROVE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ExternalData: '{"datasource":"testata","nodeName":"财务审批","examineType":"APPROVE_MULTI","examineManType":"FIX_USER","examineMan":["1415882565670076417"],"pass":true,"passFields":[],"passEvents":[],"rejectEvents":[],"passInfoTemp":"","reject":true,"rejectTo":"REJECT_TO_START_NODE","rejectFields":[],"showPassStatus":false,"showRejectStatus":true,"showCanEditStatus":false,"showRejectEditStatus":false}',
                ApprovalUserType: 'FIX_USER',
                ApprovalUserList: ['1415882565670076417'],
            },
        },
        {
            Status: 'UNEXECUTED',
            ElementType: 'UserTask',
            NodeName: '节点-7',
            NodeKey: 'Node-7',
            ManualUserNode: {
                RejectMethodExtension: {
                    ApprovalMethodType: 'REJECT',
                    RejectOptionType: 'REJECT_TO_START_NODE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ApprovalUserNameList: ['李主管,王主管,赵主管'],
                NodeName: '常规审批',
                ApprovalType: 'APPROVE_SINGLE',
                ApproveMethodExtension: {
                    ApprovalMethodType: 'APPROVE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ExternalData: '{"datasource":"testata","nodeName":"常规审批","examineType":"APPROVE_SINGLE","examineManType":"FIX_USER","examineMan":["1415882565670076417"],"pass":true,"passFields":[],"passEvents":[],"rejectEvents":[],"passInfoTemp":"","reject":true,"rejectTo":"REJECT_TO_START_NODE","rejectFields":[],"showPassStatus":false,"showRejectStatus":true,"showCanEditStatus":false,"showRejectEditStatus":false}',
                ApprovalUserType: 'FIX_USER',
                ApprovalUserList: ['1415882565670076417'],
                DatasourceUserFieldList: [
                    {
                        DatasourceName: 'beta_chb9ilr',
                        UserFieldNameList: ['owner', 'leader'],
                        UserFieldTitleList: ['负责人', '组长'],
                    },
                    {
                        DatasourceName: 'beta_chb9ilr33',
                        UserFieldNameList: ['creator'],
                        UserFieldTitleList: ['创建人'],
                    },
                ],
            },
        },
        {
            Status: 'APPROVE',
            ElementType: 'ExclusiveGateway',
            NodeName: 'ExclusiveGateway-4-5',
            NodeKey: 'Gateway-10',
            BranchEnd: '11',
        },
        {
            Status: 'APPROVE',
            ElementType: 'NoneServiceTask',
            NodeName: '节点-11',
            NodeKey: 'Node-11',
        },
        {
            Status: 'UNEXECUTED',
            ElementType: 'UserTask',
            NodeName: '节点-9',
            NodeKey: 'Node-9',
            ManualUserNode: {
                RejectMethodExtension: {
                    ApprovalMethodType: 'REJECT',
                    RejectOptionType: 'REJECT_TO_LAST_NODE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ApprovalUserNameList: ['钱总监,杨总监'],
                ApprovalRoleNameList: ['管理员', '超级管理员'],
                NodeName: '财务总监审批',
                ApprovalType: 'APPROVE_SINGLE',
                ApproveMethodExtension: {
                    ApprovalMethodType: 'APPROVE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ExternalData: '{"datasource":"testata","nodeName":"财务总监审批","examineType":"APPROVE_SINGLE","examineManType":"FIX_USER","examineMan":["1415882565670076417"],"pass":true,"passFields":[],"passEvents":[],"rejectEvents":[],"passInfoTemp":"","reject":true,"rejectTo":"REJECT_TO_LAST_NODE","rejectFields":[],"showPassStatus":false,"showRejectStatus":true,"showCanEditStatus":false,"showRejectEditStatus":false}',
                ApprovalUserType: 'FIX_USER',
                ApprovalUserList: ['1415882565670076417'],
            },
        },
        {
            Status: 'APPROVE',
            ElementType: 'UserTask',
            BranchEnd: '',
            TaskId: 'a081265f-eb88-11eb-8e07-20906f29ca1e',
            NodeName: '节点-3',
            NodeKey: 'Node-3',
            ManualUserNode: {
                RejectMethodExtension: {
                    ApprovalMethodType: 'REJECT',
                    RejectOptionType: 'REJECT_TO_START_NODE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ApprovalUserNameList: ['张经理'],
                NodeName: '上级审批',
                ApprovalType: 'APPROVE_MULTI',
                ApproveMethodExtension: {
                    ApprovalMethodType: 'APPROVE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ExternalData: '{"datasource":"testata","nodeName":"上级审批","examineType":"APPROVE_MULTI","examineManType":"FIX_USER","examineMan":["1415882565670076417"],"pass":true,"passFields":[],"passEvents":[],"rejectEvents":[],"passInfoTemp":"","reject":true,"rejectTo":"REJECT_TO_START_NODE","rejectFields":[],"showPassStatus":false,"showRejectStatus":true,"showCanEditStatus":false,"showRejectEditStatus":false}',
                ApprovalUserType: 'FIX_USER',
                ApprovalUserList: ['1415882565670076417'],
            },
        },
        {
            Status: 'APPROVE',
            ElementType: 'UserTask',
            NodeName: '节点-6',
            NodeKey: 'Node-6',
            ManualUserNode: {
                RejectMethodExtension: {
                    ApprovalMethodType: 'REJECT',
                    RejectOptionType: 'REJECT_TO_LAST_NODE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ApprovalUserNameList: ['周主管'],
                NodeName: '超额审批',
                ApprovalType: 'APPROVE_SINGLE',
                ApproveMethodExtension: {
                    ApprovalMethodType: 'APPROVE',
                    ApprovalDatasource: {
                        Datasource: 'testata',
                        Namespace: 'lowcode-8gva1vihfd23de0b',
                    },
                },
                ExternalData: '{"datasource":"testata","nodeName":"超额审批","examineType":"APPROVE_SINGLE","examineManType":"FIX_USER","examineMan":["1415882565670076417"],"pass":true,"passFields":[],"passEvents":[],"rejectEvents":[],"passInfoTemp":"","reject":true,"rejectTo":"REJECT_TO_LAST_NODE","rejectFields":[],"showPassStatus":false,"showRejectStatus":true,"showCanEditStatus":false,"showRejectEditStatus":false}',
                ApprovalUserType: 'FIX_USER',
                ApprovalUserList: ['1415882565670076417'],
            },
        },
    ],
    ProcessInstanceId: 'a08014d3-eb88-11eb-8e07-20906f29ca1e',
    ProcessDefinitionId: 'process_537',
    SequenceFlowList: [
        {
            FlowKey: 'Node-0-1',
            FlowName: '',
            TargetNodeKey: 'Node-1',
            SourceNodeKey: 'Node-0',
        },
        {
            FlowKey: 'Node-1-3',
            FlowName: '',
            TargetNodeKey: 'Node-3',
            SourceNodeKey: 'Node-1',
        },
        {
            FlowKey: 'Node-4-5',
            FlowName: '',
            TargetNodeKey: 'Gateway-10',
            SourceNodeKey: 'Node-3',
        },
        {
            FlowKey: 'Node-4-6',
            DatasourceExtension: {
                Datasource: 'testata',
                OperationOrExpressionList: [
                    {
                        OperationAndExtensionList: [
                            {
                                Condition: 'gt',
                                KeyType: 'number',
                                ValueType: 'const',
                                Value: '1000',
                                Id: '1626943551694',
                                Key: 'updatedAt',
                            },
                        ],
                    },
                ],
                ExtensionElementType: '2',
                Namespace: 'lowcode-8gva1vihfd23de0b',
                ConditionShowName: '金额 大于 常量 1000',
            },
            FlowName: '超额审批',
            TargetNodeKey: 'Node-6',
            SourceNodeKey: 'Gateway-10',
        },
        {
            FlowKey: 'Node-8-9',
            FlowName: '',
            TargetNodeKey: 'Node-9',
            SourceNodeKey: 'Node-8',
        },
        {
            FlowKey: 'Node-9-2',
            FlowName: '',
            TargetNodeKey: 'Node-2',
            SourceNodeKey: 'Node-9',
        },
        {
            FlowKey: 'Node-6-8',
            FlowName: '',
            TargetNodeKey: 'Node-11',
            SourceNodeKey: 'Node-6',
        },
        {
            FlowKey: 'Node-5-7',
            DatasourceExtension: {
                Datasource: 'testata',
                OperationOrExpressionList: [
                    {
                        OperationAndExtensionList: [
                            {
                                Condition: 'lte',
                                KeyType: 'number',
                                ValueType: 'const',
                                Value: '1000',
                                Id: '1626943562809',
                                Key: 'updatedAt',
                            },
                        ],
                    },
                ],
                ExtensionElementType: '2',
                Namespace: 'lowcode-8gva1vihfd23de0b',
                ConditionShowName: '金额 小于等于 常量 1000',
            },
            FlowName: '234234',
            TargetNodeKey: 'Node-7',
            SourceNodeKey: 'Gateway-10',
        },
        {
            FlowKey: 'Node-7-8',
            FlowName: '',
            TargetNodeKey: 'Node-11',
            SourceNodeKey: 'Node-7',
        },
        {
            FlowKey: 'Node-11-8',
            FlowName: '',
            TargetNodeKey: 'Node-8',
            SourceNodeKey: 'Node-11',
        },
    ],
};
