import isEqual from 'lodash.isequal';
export function serde(a) {
    return JSON.parse(JSON.stringify(a));
}
const isObj = (a) => typeof a === 'object' && a !== null;
export default function (a, b, shouldSerde = false) {
    if (shouldSerde && isObj(a) && isObj(b)) {
        // for Proxy created by mbox
        return isEqual(serde(a), serde(b));
    }
    return isEqual(a, b);
}
